import com.urbancode.anthill3.AHPTool
import com.urbancode.anthill3.CommandHelper

def ch = new CommandHelper(new File('.'));
def ahpTool = new AHPTool();
def pluginHome = System.getenv("PLUGIN_HOME");
def props = ahpTool.getStepProperties();

def executable;

if (ahpTool.isWindows) {
     executable = pluginHome + File.separator + "udclient" + File.separator + "udclient.cmd";
}
else {
     executable = pluginHome + File.separator + "udclient" + File.separator + "udclient";
     def chmod = ["chmod", "a+x", executable];
     ch.runCommand("Making client executable", chmod);
}

def url = props['integration/url'];
def user = props['integration/user'];
def password = props['integration/passScript'];

if (password == null || password.trim() == "") {
    password = props['integration/password'];
}

def componentName = props['componentName'];
def versionName = props['versionName'];
def baseDir = props['baseDir'];
def offset = props['offset'];

def cmdArgs = [executable,
               "--weburl", url, "--username", user, "--password", password, "createVersion", 
               "--component", componentName, "--name", versionName];

ch.runCommand("Creating version", cmdArgs);

if (props['publishFiles'] != null && Boolean.valueOf(props['publishFiles'])) {
    cmdArgs = [executable,
                   "--weburl", url, "--username", user, "--password", password, "addVersionFiles", 
                   "--component", componentName, "--version", versionName, "--base", baseDir];

    if (offset != null && offset.trim() != "") {
        cmdArgs<<offset;
    }

    ch.runCommand("Publishing Files", cmdArgs);
}
